@section('content')
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Nutrisi Hidroponik</title>
    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
    <!-- Styles -->
    <style>
        body {
            font-family: 'roboto;
            margin: 0;
            padding: 0;
        }

        header {
            background-color: #f3f4f6;
            border-bottom: 1px solid #e5e7eb;
            padding: 1rem;
            display: flex;
            align-items: center;
            flex-wrap: wrap; /* tambahkan ini agar nav bisa pindah ke bawah jika layar terlalu kecil */
        }

        nav {
            margin-left: auto;
            margin-top: 1rem; /* Tambahkan jarak atas agar tidak menempel langsung dengan judul */
        }

        nav a {
            margin-right: 1rem;
            color: #000;
            text-decoration: none;
            padding: 0.5rem 1rem;
            border-radius: 0.25rem;
            font-family: roboto;
        }

        nav a:hover {
            background-color: #e5e7eb;
        }

        .content {
            background-color: rgb(255, 255, 255);
            color: #4D869C;
            padding: 20px;
            text-align: center;
        }

        .content h4 {
            color: #7AB2B2;
            font-family: roboto;
        }

        /* Menyesuaikan gambar agar tidak terlalu besar */
        img {
            max-width: 100%;
            height: auto;
        }
    </style>
</head>
<body>
<header>
    <div>
        <span style="font-family: roboto;">Monitoring dan Kontrol</span><br>
        <span style="font-family: roboto;">Mesin Nutrisi Hidroponik</span>
    </div>
    <nav class="-mx-3 flex flex-wrap justify-end">
        @auth
            <a href="{{ url('/home') }}" class="Dashboard"><i class="fas fa-home"></i> Home</a>
        @else
            <a href="{{ route('login') }}" class="Register"><i class="fas fa-sign-in-alt"></i> Login</a>
            @if (Route::has('register'))
                <a href="{{ route('register') }}" class="Register"><i class="fas fa-user-plus"></i> Register</a>
            @endif
        @endauth
        <a href="{{ route('tentang') }}" class="Tentang"><i class="fas fa-info-circle"></i> Tentang</a>
    </nav>

    <!-- Load Font Awesome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" rel="stylesheet">

</header>
<div class="content">
    <h4>Aplikasi Website Untuk Memonitor dan Mengontrol Nutrisi Dari Tanaman Hidroponik</h4>
    <img src="/images/hidro.png" alt="Tanaman Hidroponik">
</div>
</body>
</html>
